Crux: BRE/WFE - Task #17961

Ul: design assistance for nested rule blocks in rulesets
18/02/2024 01:08 AM - Shuvam Misra

Status: Closed Start date:

Priority: High Due date: 26/02/2024
Assignee: Sachin Divekar % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Feb

Description

Handling if-then-else conditional blocks in a ruleset in the Ul requires the code to use recursion to handle nesting. The dev team
requires assistance to code this recursive section to display, format, or even create/edit rulesets with nested blocks.

History

#1 - 18/02/2024 01:08 AM - Shuvam Misra

- Subject changed from Ul: design assistance for nested rule blocks in ruleset to Ul: design assistance for nested rule blocks in rulesets

#2 - 26/02/2024 03:13 PM - Adarsh Shukla
- % Done changed from 0 to 50

- Status changed from New to In Progress

#3 - 01/03/2024 03:02 PM - Sachin Divekar
- % Done changed from 50 to 100

- Status changed from In Progress to Closed

Finalized the data structures to implement the workflow Ul. Reviewed the implementation.
